The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

mysql5 upgrade resolved

Discussion in 'General Discussion' started by etono, Oct 9, 2007.

  1. etono

    etono Member

    Joined:
    Jun 20, 2005
    Messages:
    12
    Likes Received:
    0
    Trophy Points:
    1
    I was unable to find the solution on this forum, so hopefully this can help someone else in a similar situation.

    I am running CentOS and just updated to easyapache3. I had no problem with the installation of Apache2 it worked like a charm, except I clicked on the build button rather than the configure in the Update Apache area. I then attempted to upgrade to MySQL5 by switching in the Tweak Setting of WHM. Following the instructions I ran /scripts/mysqlup5. I was not watching the terminal screen and the install appeared to complete just fine. After later looking back I was getting the following error:

    pmdb: PANIC: fatal region error detected; run recovery
    error: db4 error(-30978) from dbenv->open: DB_RUNRECOVERY: Fatal error, run database recovery

    I then attempted to run Apache Update over again and was receiving the error: Could not ensure pkglist 'mysql-devel, zlib-devel, flex, zlib'

    When I attempted to run the database recovery rpm --rebuilddb I received the same error as when running /scripts/mysqlup. At http://www.rpm.org/hintskinks/repairdb/ I found out that I needed to delete my locking files rm -f /var/lib/rpm/__db* then I rebuilt the database with rpm -vv --rebuilddb. Then I went back to /scripts/mysqlup and it ran without errors. I then did an Update Apache and I now have Apache2 and MySQL 5 running.
     
Loading...

Share This Page